Sign in with magic link email
POST /signin/passwordless/email
POST
/signin/passwordless/email
Initiate passwordless authentication by sending a magic link to the user’s email. If the user doesn’t exist, a new account will be created with the provided options.
Request Body required
Section titled “Request Body required ”Email address and optional user options for magic link authentication
object
email
required
A valid email
string format: email
Example
john.smith@nhost.io options
object
allowedRoles
Array<string>
Example
[ "me", "user"] defaultRole
string
Example
user displayName
string
Example
John Smith locale
A two or three characters locale
string
Example
en metadata
object
key
additional properties
any
Example
{ "firstName": "John", "lastName": "Smith"} redirectTo
string format: uri
Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”Magic link email sent successfully
string
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400 message
required
Human-friendly error message
string
Example
Invalid email format error
required
Error code identifying the specific application error
string